PETSc version 3.17.4
Fix/Edit manual page

# SNESGetGridSequence

gets the number of steps of grid sequencing that SNES does

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetGridSequence(SNES snes,PetscInt *steps)

Logically Collective on SNES

### Input Parameter

| snes | - the SNES context

### Output Parameter

| steps | - the number of refinements to do, defaults to 0

### Options Database Keys

| -snes_grid_sequence <steps> | - set number of refinements

### Notes

Use SNESGetSolution() to extract the fine grid solution after grid sequencing.

### See Also

SNESSetTrustRegionTolerance(), SNESGetLagPreconditioner(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESSetGridSequence()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages